UIPackage
Menu

Framework

Change language

Boilerplate repo

Separator

separatorui

Horizontal or vertical visual divider — a `<div>` with the right ARIA role and a registry-token border color. Use between sections, list rows, and toolbar groups.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/separator.json
Named registry:npx shadcn@latest add @uipkge-react/separatorInstalls to:components/ui/separator/

Examples

Loading interactive previews…

Used by

Files installed (2)

  • components/ui/separator/Separator.tsx0.8 kB
    'use client'
    
    import * as React from 'react'
    import * as SeparatorPrimitive from '@radix-ui/react-separator'
    import { cn } from '@/lib/utils'
    
    const Separator = React.forwardRef<
      React.ElementRef<typeof SeparatorPrimitive.Root>,
      React.ComponentPropsWithoutRef<typeof SeparatorPrimitive.Root>
    >(({ className, orientation = 'horizontal', decorative = true, ...props }, ref) => (
      <SeparatorPrimitive.Root
        ref={ref}
        data-uipkge=""
        data-slot="separator"
        orientation={orientation}
        decorative={decorative}
        className={cn(
          'bg-border shrink-0 data-[orientation=horizontal]:h-px data-[orientation=horizontal]:w-full data-[orientation=vertical]:h-full data-[orientation=vertical]:w-px',
          className,
        )}
        {...props}
      />
    ))
    Separator.displayName = 'Separator'
    
    export { Separator }
    
  • components/ui/separator/index.ts0 kB

Raw manifest:https://uipkge.dev/r/react/separator.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Separator

separatorui

Horizontal or vertical visual divider — a `<div>` with the right ARIA role and a registry-token border color. Use between sections, list rows, and toolbar groups.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/separator.json
Named registry:npx shadcn-vue@latest add @uipkge/separatorInstalls to:app/components/ui/separator/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classHTMLAttributes['class']optional

npm dependencies

Used by

Files installed (2)

  • app/components/ui/separator/Separator.vue0.8 kB
    <script setup lang="ts">
    import type { SeparatorProps } from 'reka-ui'
    import type { HTMLAttributes } from 'vue'
    import { reactiveOmit } from '@vueuse/core'
    import { Separator } from 'reka-ui'
    import { cn } from '@/lib/utils'
    
    const props = withDefaults(defineProps<SeparatorProps & { class?: HTMLAttributes['class'] }>(), {
      orientation: 'horizontal',
      decorative: true,
    })
    
    const delegatedProps = reactiveOmit(props, 'class')
    </script>
    
    <template>
      <Separator
        data-uipkge
        data-slot="separator"
        v-bind="delegatedProps"
        :class="
          cn(
            'bg-border shrink-0 data-[orientation=horizontal]:h-px data-[orientation=horizontal]:w-full data-[orientation=vertical]:h-full data-[orientation=vertical]:w-px',
            props.class,
          )
        "
      />
    </template>
    
  • app/components/ui/separator/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/vue/separator.json